Client API: Container Apps: Users
The 4 Client API operations for users.
Part of Container Apps.
Operations
Section titled Operations| Method | Path | Summary |
|---|---|---|
| GET | /api/v1/client/servers/{uuid}/users |
List subusers for a server |
| POST | /api/v1/client/servers/{uuid}/users |
Add a subuser to a server |
| PUT | /api/v1/client/servers/{uuid}/users/{subuser_id} |
Update subuser permissions |
| DELETE | /api/v1/client/servers/{uuid}/users/{subuser_id} |
Remove a subuser from a server |
List subusers for a server
Section titled List subusers for a serverGET /api/v1/client/servers/{uuid}/users
List subusers for a server.
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
uuid |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].server_id |
integer |
[].user_id |
integer |
[].permissions |
array of string |
[].created_at |
string (date-time) |
[].email |
string or null |
[].name |
string or null |
Add a subuser to a server
Section titled Add a subuser to a serverPOST /api/v1/client/servers/{uuid}/users
Add a subuser to a server.
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
uuid |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
user_id |
integer | yes |
permissions |
array of string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
server_id |
integer |
user_id |
integer |
permissions |
array of string |
created_at |
string (date-time) |
email |
string or null |
name |
string or null |
Update subuser permissions
Section titled Update subuser permissionsPUT /api/v1/client/servers/{uuid}/users/{subuser_id}
Update subuser permissions.
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
uuid |
path | string | yes |
subuser_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
permissions |
array of string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
server_id |
integer |
user_id |
integer |
permissions |
array of string |
created_at |
string (date-time) |
email |
string or null |
name |
string or null |
Remove a subuser from a server
Section titled Remove a subuser from a serverDELETE /api/v1/client/servers/{uuid}/users/{subuser_id}
Remove a subuser from a server.
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
uuid |
path | string | yes |
subuser_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |